org.apache.uima.jcas.cas

## Class TOP_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type

- Direct Known Subclasses:
    AnnotationBase_Type, CommonArray_Type, FloatList_Type, FSList_Type, IntegerList_Type, Sofa_Type, StringList_Type

      public class TOP_Type
      extends Object

  hold Cas type information, link to JCas instance. One instance per Type, per CAS

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.uima.cas.impl.CASImpl` | `casImpl` ref to CAS for faster getters/setters
    `Type` | `casType` the Cas Type associated with this Java Cas Model class
    `int` | `casTypeCode`
    `protected TOP_Type` | `instanceOf_Type` This generator can be set up to either get the identical Java object (if it exists) or just make a new one.
    `JCas` | `jcas` reference to the Java Cas root
    `org.apache.uima.cas.impl.LowLevelCAS` | `ll_cas`
    `protected boolean` | `lowLevelArrayBoundChecks`
    `protected boolean` | `lowLevelTypeChecks`
    `static int` | `typeIndexID` each cover class when loaded sets an index.
    `boolean` | `useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TOP_Type()` protected constructor - disable default constructor - never called.
    `` | `TOP_Type(JCas jcas, Type casType)`
    `protected` | `TOP_Type(JCas jcas, Type casType, boolean installGenerator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToIndexes(int inst)` add the corresponding FeatureStructure to all Cas indexes
    `protected void` | `checkType(int inst)`
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
    `protected void` | `invalidTypeArg(int inst)`
    `int` | `noObjCreate()`
    `void` | `removeFromIndexes(int inst)` remove the corresponding FeatureStructure from all Cas indexes

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      each cover class when loaded sets an index. used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

    - #### casType

          public final Type casType

      the Cas Type associated with this Java Cas Model class

    - #### casTypeCode

          public final int casTypeCode

    - #### jcas

          public final JCas jcas

      reference to the Java Cas root

    - #### casImpl

          public final org.apache.uima.cas.impl.CASImpl casImpl

      ref to CAS for faster getters/setters

    - #### ll_cas

          public final org.apache.uima.cas.impl.LowLevelCAS ll_cas

    - #### lowLevelTypeChecks

          protected final boolean lowLevelTypeChecks

    - #### lowLevelArrayBoundChecks

          protected final boolean lowLevelArrayBoundChecks

    - #### useExistingInstance

          public final boolean useExistingInstance

    - #### instanceOf_Type

          protected final TOP_Type instanceOf_Type

      This generator can be set up to either get the identical Java object (if it exists) or just make a new one. If making a new one - the java object made cannot contain any other data (because updates won't be reflected). Each class generated by JCasGen either does this (if it has additional java fields imbedded) or not.

  - ### Constructor Detail

    - #### TOP_Type

          protected TOP_Type()

      protected constructor - disable default constructor - never called.

    - #### TOP_Type

          public TOP_Type(JCas jcas,
                          Type casType)

    - #### TOP_Type

          protected TOP_Type(JCas jcas,
                             Type casType,
                             boolean installGenerator)

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      used to obtain reference to the TOP_Type instance
      Returns:
        the type array index

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

    - #### checkType

          protected void checkType(int inst)

    - #### invalidTypeArg

          protected void invalidTypeArg(int inst)

    - #### addToIndexes

          public void addToIndexes(int inst)

      add the corresponding FeatureStructure to all Cas indexes
      Parameters:
        `inst` - the low level CAS Feature Structure reference

    - #### removeFromIndexes

          public void removeFromIndexes(int inst)

      remove the corresponding FeatureStructure from all Cas indexes
      Parameters:
        `inst` - the low level CAS Feature Structure reference

    - #### noObjCreate

          public int noObjCreate()

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.